# Interface methods for submodule: RegularSphereMeshSource
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import MeshSourceProxy as _MeshSourceProxy


# Interface methods for class: RegularSphereMeshSource
class RegularSphereMeshSourceProxy(_MeshSourceProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetResolution(self, _arg: int) -> None:
		""""""
		...

	def GetResolution(self) -> int:
		""""""
		...

	def SetCenter(self, _arg: Sequence[float]) -> None:
		""""""
		...

	def GetCenter(self) -> Sequence[float]:
		""""""
		...

	def SetScale(self, _arg: Sequence[float]) -> None:
		""""""
		...

	def GetScale(self) -> Sequence[float]:
		""""""
		...

